<div style="margin-top: 20px;">
    <h5>
       <span jhiTranslate="mpmApp.shipmentType.home.title">Shipment Types</span>
    </h5>
    <p-dataTable
        [value]="shipmentTypes"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        dataKey="idShipmentType"
        expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item" *jhiHasAnyAuthority="['ROLE_ADMIN']">
                    <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list"></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span></a>
                </li>
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['shipment-type-new'] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                </li>
            </ul>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.shipmentType.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                    <!-- <button type="button" class="input-group-addon flat-style-button" style="margin-left: 50px;"
                        [routerLink]="['/', { outlets: { popup: ['shipment-type-new'] } }]">
                        <span class="fa fa-plus"></span>
                    </button> -->
                </div>
            </form>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'mpmApp.shipmentType.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.id'|translate}}" [style]="{'width': '80px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.idShipmentType}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.shipmentType.description'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.description}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.shipmentType.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="submit"
                        [routerLink]="['../shipment-type', rowData.idShipmentType]"
                        icon="fa-eye"
                        class="flat-button"
                        [style]="{'height':'50px'}">
                </button>
                <button pButton type="submit"
                        [routerLink]="['/', { outlets: { popup: 'shipment-type/'+ rowData.idShipmentType + '/edit'} }]"
                        replaceUrl="true"
                        icon="fa-pencil"
                        class="flat-button">
                </button>
                <button pButton type="submit"
                        (click)="delete(rowData.idShipmentType)"
                        icon="fa-remove"
                        class="flat-button">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>